Documentation

Company Lookup Endpoint

Cost2 credits / successful request

Resolve Company Profile from company name, domain name, and location.

GET
/api/v2/company/resolve

Authorization

BearerAuth client
AuthorizationBearer <token>

In: header

Scope: client

Query Parameters

company_location?string

The location / region of company. ISO 3166-1 alpha-2 codes

company_domain?string

Company website or Company domain Requires either company_domain or company_name

company_name?string

Company Name Requires either company_domain or company_name

enrich_profile?string

Enrich the result with a cached profile of the lookup result.
The valid values are:

  • skip (default): do not enrich the results with cached profile data
  • enrich: enriches the result with cached profile data

Calling this API endpoint with this parameter would add 1 credit.
If you require fresh profile data, please chain this API call with the Company Profile Endpoint with the use_cache=if-recent parameter.

Response Body

application/json

curl -X GET "https://enrichlayer.com/api/v2/company/resolve?company_location=sg&company_domain=accenture.com&company_name=Accenture&enrich_profile=enrich"
{
  "url": "https://www.linkedin.com/company/accenture",
  "profile": {
    "linkedin_internal_id": "1033",
    "description": "Accenture is a global professional services company with leading capabilities in digital, cloud, and security. Combining unmatched experience and specialized skills across more than 40 industries, we offer Strategy and Consulting, Technology and Operations Services, and Accenture Song—all powered by the world’s largest network of Advanced Technology and Intelligent Operations centers. \nOur people deliver on the promise of technology and human ingenuity every day, serving clients in more than 120 countries. We embrace the power of change to create value and shared success for our clients, people, shareholders, partners, and communities. \nVisit us at accenture.com.",
    "website": "http://www.accenture.com",
    "industry": "Business Consulting and Services",
    "company_size": [
      10001,
      null
    ],
    "company_size_on_linkedin": 541251,
    "hq": {
      "country": "IE",
      "city": "Dublin 2",
      "postal_code": null,
      "line_1": "Grand Canal Harbour",
      "is_hq": true,
      "state": null
    },
    "company_type": "PUBLIC_COMPANY",
    "founded_year": null,
    "specialities": [
      "Management Consulting",
      "Systems Integration and Technology"
    ],
    "locations": [
      {
        "country": "IE",
        "city": "Dublin 2",
        "postal_code": null,
        "line_1": "Grand Canal Harbour",
        "is_hq": true,
        "state": null
      },
      {
        "country": "US",
        "city": "San Francisco",
        "postal_code": "94105",
        "line_1": "415 Mission Street Floor 31-34",
        "is_hq": false,
        "state": "California"
      }
    ],
    "name": "Accenture",
    "tagline": null,
    "universal_name_id": "accenture",
    "profile_pic_url": "https://media.licdn.com/dms/image/D4E0BAQGTUswcRlgg9A/company-logo_200_200/0/1689352303421/accenture_logo?e=2147483647&v=beta&t=cjQy2p9bf0c2mJqCNVzaiLqdByE0zboCX3vY5m4gRuY",
    "background_cover_image_url": "https://media.licdn.com/dms/image/D4E3DAQEJ2lIxxNO81Q/image-scale_191_1128/0/1689359170613/accenture_cover?e=1698901200&v=beta&t=8ygpwsa5GjMoubooCGg1MqfGomnBaU9WHwnI3_Ek0_0",
    "search_id": "1033",
    "similar_companies": [
      {
        "name": "Deloitte",
        "link": "https://www.linkedin.com/company/deloitte",
        "industry": "Business Consulting and Services",
        "location": null
      },
      {
        "name": "Tata Consultancy Services",
        "link": "https://in.linkedin.com/company/tata-consultancy-services",
        "industry": "IT Services and IT Consulting",
        "location": "Mumbai, Maharashtra"
      }
    ],
    "affiliated_companies": [
      {
        "name": "Accenture in India",
        "link": "https://in.linkedin.com/company/accentureindia",
        "industry": "IT Services and IT Consulting",
        "location": "Bengaluru, Karnatka"
      },
      {
        "name": "Accenture Brasil",
        "link": "https://br.linkedin.com/company/accenturebrasil",
        "industry": "IT Services and IT Consulting",
        "location": "São Paulo, São Paulo"
      }
    ],
    "updates": [
      {
        "article_link": null,
        "image": null,
        "posted_on": {
          "day": 25,
          "month": 10,
          "year": 2023
        },
        "text": "Explore #AccentureLifeTrends 2024 to learn more: https://accntu.re/3MfdMg4",
        "total_likes": 325
      },
      {
        "article_link": null,
        "image": "https://media.licdn.com/dms/image/D5610AQEMoO_uNVz5BQ/ads-video-thumbnail_720_1280/0/1698154984087?e=1698901200&v=beta&t=WTxhLNSbSM-UBnFIcqYX4bdVhVUD6OoOoffR0xQnlDA",
        "posted_on": {
          "day": 25,
          "month": 10,
          "year": 2023
        },
        "text": "The ability to learn new things, without forgetting those that came before, is a huge differentiator between the #AI we're familiar with, and the #GenerativeAI powered by foundation models that we're seeing now.\n \nDiscover the trends shaping the next decade: https://accntu.re/474YxOH\n \n#TechVision2023",
        "total_likes": 541
      }
    ],
    "follower_count": 11125167,
    "acquisitions": null,
    "exit_data": null,
    "extra": null,
    "funding_data": null,
    "categories": null,
    "meta": {
      "thin_profile": false,
      "last_updated": "2023-10-26T11:34:30Z"
    }
  },
  "last_updated": "2023-10-26T11:33:24Z"
}
Empty
Empty
Empty
Empty
Empty
Empty
Empty